New Search

WebKit UTF-7 Encoded Data Cross Site Scripting Vulnerability

oval:org.mitre.oval:def:6888

Cross-site scripting (XSS) vulnerability in WebKit in Apple Safari before 5.0 on Mac OS X 10.5 through 10.6 and Windows and before 4.1 on Mac OS X 10.4 allows remote attackers to inject arbitrary web script or HTML via vectors related to improper UTF-7 canonicalization and lack of termination of a quoted string in an HTML document.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2003
  • Microsoft Windows Vista
  • Microsoft Windows 7
  • Microsoft Windows Server 2008
  • Microsoft Windows XP
Class:
vulnerability
Reference(s):
  • CVE-2010-1390
Product(s):
  • Apple Safari